<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require "../conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

$busca_usuario=$_POST["busca_usuario"];
$fechaI=$_POST["busca_fechaI"];
$fechaF=$_POST["busca_fechaF"];

		if($fechaF=="")
		{
			
			$resultado=mysqli_query($conexion->CONEXION,"select max(fecha_hora) as fecha_maxima from log_status");
			
			if($maximo=mysqli_fetch_array($resultado,MYSQLI_ASSOC))
			$fechaF=$maximo["fecha_maxima"];
		}
		if($fechaI != ""){
			$fechaI.=" 00:00:00";
		}
		$fechaF.=" 23:59:59";
if(isset($_POST['id'])){
    $q="select rfcEmisor,tipoDoc,serie,folio,uuid,username,evento,fecha_hora from log_status where rfcEmisor='".$_POST['id']."' and tipoDoc='".$_POST['id2']."' and serie='".$_POST['id3']."' and folio='".$_POST['id4']."' and uuid='".$_POST['id5']."'";
}else{
    $q="select rfcEmisor,tipoDoc,serie,folio,uuid,username,evento,fecha_hora from log_status where fecha_hora between '$fechaI' and '$fechaF' and username like '%$busca_usuario%'";    
}
$_SESSION['query_historial']=$q;
$_SESSION['grid_select']='grid_historial';
?>
<script>
var query="<?=$q?>";
$j_6(document).ready(function(){
	$j_6().gridJQGrid({
	php: 'grids/generaGrid.php',
	headerNames: 'RFC,Tipo Doc.,Serie,Folio,UUID,Usuario,Evento,Fecha - Hora',
	sortname: 'fecha_hora',
	idGrid: 'grid_historial',
	idPagina: 'pagina_historial',
	optionsCol: 'rfcEmisor|width: 100, frozen: true;'+
                    'tipoDoc|width: 100, frozen: true;'+
                    'serie|width: 100, frozen: true;'+
                    'folio|width: 100, frozen: true;'+
                    'uuid|width: 100, frozen: true;'+
                    'username|width: 150;'+
                    'evento|width: 250;'+
                    'fecha_hora|width: 150, sorttype: "date"',
	hiddenCol: '',
	ignoreColNamesExcel: '',
	sheetName: 'Historial-Eventos',
	urlDatos: 'grids/historialDatosGrid.php',
	div: 'cuerpo',
	width: $j_6('#cuerpo').width(),
        height: $j_6('#cuerpo').height(),
	rowNum: 20,
	query: query,
	optionsForm: 'fecha_hora|true||',
	captionForm: '',
	tabla: 'log_status',
	reloadGridAfterSave: 'grids/historial.php',
	captionConfirm: '',
	widthConfirm: 300,
	heightConfirm: 100,
	widthForm: 800,
	heightForm: 500,
	fileForm: '',
	edit: false,
	add: false,
	del: false,
	formName: 'form_historial',
	delForm: ''
	});
});
</script>
<?if(isset($_POST['id'])){?>
<div id="documentosHistorial"></div>
<?}?>